Update Messages
/unified/instant-messaging/messages/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barRequest Body
Refer Writing data using Unified APIs
Body of the message.
1 supported1 required
Content of the message body.
Format of the message body.
Channel to which the message belongs.
1 supported1 required
Unique identifier for the channel.
Name of the channel.
Type of the channel.
Any additional data that should be passed as part of the request body. This data is not transformed by Truto and is passed as is to the remote API.
Response Body
Unique identifier for the message.
1 supported
Attachments of the message.
1 supported
Unique identifier for the attachment.
Name of the attachment.
Type of the attachment.
URL of the attachment.
Author of the message. Is a member object.
1 supported
Unique identifier for the author.
Name of the author.
Body of the message.
1 supported
Content of the message body.
Format of the message body.
Channel to which the message belongs.
1 supported
Unique identifier for the channel.
Name of the channel.
Type of the channel.
Date and time when the message was created.
1 supported
Whether the message has children.
1 supported
Parent entity of the message.
1 supported
Unique identifier for the parent entity.
Type of the parent entity.
message
Raw data returned from the remote API call.
Date and time when the message was last updated.
1 supported
curl -X PATCH 'https://api.truto.one/unified/instant-messaging/messages/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"body": {},
"channel": {},
"remote_data": {}
}'const integratedAccountId = '<integrated_account_id>';
const body = {
"body": {},
"channel": {},
"remote_data": {}
};
const response = await fetch(`https://api.truto.one/unified/instant-messaging/messages/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'PATCH',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/instant-messaging/messages/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
payload = {
"body": {},
"channel": {},
"remote_data": {}
}
response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.update(
'instant-messaging',
'messages',
'<resource_id>',
{
"body": {},
"channel": {},
"remote_data": {}
},
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.update(
"instant-messaging",
"messages",
"<resource_id>",
{
"body": {},
"channel": {},
"remote_data": {}
},
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())